# frozen_string_literal: true
module Admin
  class ResultController < AdminController
    #
    # TODO: change context from Candidate to Quiz
    # bypass pundit lockdowns until completed
    after_action :skip_policy_scope
    after_action :skip_authorization
    #

    # TODO: Limit results to the quizzes current_user has access to
    def index
      @candidates = Candidate.where(completed: true).includes(:recruiter)
    end

    def view
      @candidate = Candidate.find_by(test_hash: params[:test_hash])
      @quiz = @candidate.my_quiz
      @status = QuizStatus.new(@candidate)
    end
  end
end
