# frozen_string_literal: true
class ReviewerMailer < ApplicationMailer
  def candidate_submission candidate
    @candidate = candidate
    recipients = candidate.quiz.reviewers.map(&:email)

    mail to: recipients, subject: "Skills Assessment Results"
  end
end
