# frozen_string_literal: true
class DashboardPolicy < Struct.new(:user, :dashboard)
  attr_reader :user, :record

  def initialize(user, record)
    raise Pundit::NotAuthorizedError, "Must be logged in." unless user
    @user = user
    @record = record
  end

  def show?
    true
  end
end
